Subject: No support for runit as init on air-gapped installs

From: Olaf Meeuwissen <[email-masked]>
Date: Mon, 21 Jun 2021 20:39:49 +0900

Package: devuan-installer
Version: 4.0

I just checked the netinst ISOs from 20210618 and 20210621 for amd64 for
the presence of runit-init.  It is not included :-(

This prevents air-gapped installs from getting a working runit based
systems.  The installer *silently* falls back to sysvinit.  I've been
able to replace sysvinit with runit-init after installation but that
wasn't exactly a smooth ride.  Nothing major, but enough to scare off
less experienced users.  Sorry, don't remember the details.

Air-gapped installs selecting sysvinit and openrc work fine.  It'd be
nice if runit was supported on air-gapped installs as well.

To be honest, I haven't tried the new installer images (yet) but I've
encountered this with the 20210426 as well as 20210517(?) images and
mentioned it on DNG for Beowulf installer images[1].

 [1]: https://lists.dyne.org/lurker/message/20210330.105856.3ee6a751.en.html

The runit-init package is small, about 40K, so it would be nice to see
this added to the netinst ISO so that all supported inits can be
selected for air-gapped installs.

If necessary, I can provide additional info using the latest ISOs next
weekend.

Note that runit claims to replace runit-init but that is a *versioned*
dependency << 2.1.2-29~.  At the same time runit claims to break those
versions of runit-init.  Maybe that's why runit-init is not included?

Hope this helps,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join